QGIS Application - Bug report #15140

Item snapping in print composer
2016-06-26 01:06 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: wontfix

Copied to github as #: 23079

Description

When moving an item in the print composer, snapping depends on the width of the border. To me it would be more meaningful to snap to

the middle of the border.

History

#1 - 2016-06-26 01:07 PM - R. R.
- File 15140.mp4 added

#2 - 2016-06-26 02:15 PM - Nyall Dawson
- Resolution set to wontfix
- Status changed from Open to Closed

This is by design, and is the usual behaviour in DTP packages

#3 - 2016-06-26 03:01 PM - R. R.
- File scribus_1_4_6_snapping.mp4 added

Hi Nyall, | can't confirm this for Scribus (see screencast).

#4 - 2016-06-26 03:07 PM - Nyall Dawson

Maybe not all DTP then ;) more discussion in #8943

#5 - 2016-07-03 01:45 AM - R. R.

| noticed that the print composers' snapping behaviour differs from Adobe InDesign. When snapping two items with different border widths to a guide in

InDesign, their coordinates are the same. This should be the default snapping behaviour in QGIS, too.

Files
15140.mp4 4.16 MB 2016-06-26 R.R.
scribus_1_4_6_snapping.mp4 409 KB 2016-06-26 R.R.
